Bug 535134 - (RHQ-1861) test resource permission: Create Children
test resource permission: Create Children
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Simeon Pinder
http://jira.rhq-project.org/browse/RH...
: SubTask
Depends On:
Blocks: RHQ-1848
  Show dependency treegraph
 
Reported: 2009-03-26 13:33 EDT by John Mazzitelli
Modified: 2009-11-10 16:22 EST (History)
0 users

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-03-26 13:33:00 EDT

    
Comment 1 John Mazzitelli 2009-03-26 13:40:47 EDT
test that this permission authorizes you to create child resources (NOT commit into inventory -this is actual creation of managed resources).
Comment 2 Simeon Pinder 2009-04-15 11:43:25 EDT
1) Created 'Everything' group including all discovered resources(See parent issue for details).
2) Create two additional user accounts i) u:none with no role perms and member of everything group. ii)u:create w/ 'create' perms and member of 'Everything'
3) Logged into the app from three separate browsers(FFx2 & IE) with three separate accounts

Install apache to local box.
Following results obtained while viewing/testing " Logged in-> Resources -> Platform -> Inventory "
#u:none - details shown but NO 'Manually Add' button is available.
#u:create- details shown and ABLE to 'Manually Add' server and successfully persist to JON inventory.
#u:rhqadmin - details shown and ABLE to 'Manually Add' server and successfully persist to JON inventory.

Also test with limited group visibility.

SUMMARY: working as expected with a little extra visibility. 
Comment 3 Simeon Pinder 2009-04-15 11:44:07 EDT
Works as advertised.
Comment 4 Red Hat Bugzilla 2009-11-10 15:48:19 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1861

Note You need to log in before you can comment on or make changes to this bug.